Agama v1 error in OSCAR

Issue #241 new
Joaquin Nunez
created an issue

Hi Agama team,

I have been trying to run the 1.0 version of Agama in OSCAR but I have been getting the following error:

module: loading 'agalma/1.0.0'

biolite.config.init: override: threads=6 biolite.config.init: override: memory=122880M Traceback (most recent call last): File "/gpfs/runtime/opt/agalma/1.0.0/lib/python2.7/site-packages/agalma/transcriptome.py", line 24, in <module> from agalma import config File "/gpfs/runtime/opt/agalma/1.0.0/lib/python2.7/site-packages/agalma/config.py", line 29, in <module> parse( NameError: name 'parse' is not defined

This error happens when i try to initialize both the transcriptome or the test pipelines.

Any insights on what could cause this?

cheers

jcbn

Comments (2)

  1. Mark Howison

    Hi Joaquin, it's likely that you have another installation of BioLite that is overriding the version in the agalma/1.0.0 module. Maybe check you PYTHONPATH environment variable? Or do you have a version of BioLite installed in your home directory?

  2. Joaquin Nunez reporter

    Hi Mark,

    Thanks for your help! I notice I had a separate BioLite module loaded somewhere upstream prior to the agama steps.

    I reset the environment, and proceeded to only load the Agama v1 module. This fixed the problem.

    Again, thanks,

    cheers

    jcbn

  3. Log in to comment